apiVersion: v1
kind: Service
metadata:
  labels:
    app: obsportal-bg
    dmz: uga
    variant: blue
  name: obsportal-blue
  namespace: jmmc
spec:
  ports:
  - port: 6543
    protocol: TCP
    targetPort: 6543
  selector:
    app: obsportal-bg
    dmz: uga
    variant: blue
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: obsportal-bg
    dmz: uga
    variant: blue
  name: obsportal-blue
  namespace: jmmc
spec:
  replicas: 1
  selector:
    matchLabels:
      app: obsportal-bg
      dmz: uga
      variant: blue
  strategy:
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: obsportal-bg
        dmz: uga
        variant: blue
    spec:
      containers:
      - env:
        - name: OBSPORTAL_SQLALCHEMY_URL
          valueFrom:
            secretKeyRef:
              key: OBSPORTAL_SQLALCHEMY_URL
              name: obsportal-secret-blue
        - name: OBSPORTAL_VARIANT
          value: blue
        image: gricad-registry.univ-grenoble-alpes.fr/osug/jmmc/jmmc-obsportal/obs:ObsPortal2020_04_22_b2
        livenessProbe:
          httpGet:
            path: /health
            port: 6543
          initialDelaySeconds: 30
          periodSeconds: 600
          timeoutSeconds: 10
        name: obsportal
        ports:
        - containerPort: 6543
        resources:
          limits:
            memory: 6Gi
          requests:
            memory: 4Gi
        volumeMounts:
        - mountPath: /logs/
          name: obsportal-bg-logs
          subPath: blue
        - mountPath: /data/
          name: obsportal-bg-data
      volumes:
      - name: obsportal-bg-data
        persistentVolumeClaim:
          claimName: obsportal-bg-data-claim
      - name: obsportal-bg-logs
        persistentVolumeClaim:
          claimName: obsportal-bg-logs-claim
---
apiVersion: batch/v1beta1
kind: CronJob
metadata:
  labels:
    app: obsportal-bg
    dmz: uga
    variant: blue
  name: obsportal-cronjob-blue
  namespace: jmmc
spec:
  jobTemplate:
    metadata:
      labels:
        app: obsportal-bg
        dmz: uga
        variant: blue
    spec:
      template:
        metadata:
          labels:
            app: obsportal-bg
            dmz: uga
            variant: blue
        spec:
          containers:
          - command:
            - sh
            - import-db.sh
            env:
            - name: OBSPORTAL_SQLALCHEMY_URL
              valueFrom:
                secretKeyRef:
                  key: OBSPORTAL_SQLALCHEMY_URL
                  name: obsportal-secret-blue
            - name: OBSPORTAL_VARIANT
              value: blue
            image: gricad-registry.univ-grenoble-alpes.fr/osug/jmmc/jmmc-obsportal/obs:ObsPortal2020_04_22_b2
            name: obsportal
            resources:
              limits:
                memory: 6Gi
              requests:
                memory: 4Gi
            volumeMounts:
            - mountPath: /logs/
              name: obsportal-bg-logs
              subPath: blue
            - mountPath: /data/
              name: obsportal-bg-data
          restartPolicy: Never
          volumes:
          - name: obsportal-bg-data
            persistentVolumeClaim:
              claimName: obsportal-bg-data-claim
          - name: obsportal-bg-logs
            persistentVolumeClaim:
              claimName: obsportal-bg-logs-claim
  schedule: 32 1/10 * * *
